Skip to main content
PUT
Update plan price
This reference describes API version 2026-07-11. Send Commet-Version: 2026-07-11 with your request.

Authorizations

x-api-key
string
header
required

Headers

Commet-Version
string
default:2026-07-11

API version used by this reference. Send this header to select this contract explicitly.

Path Parameters

id
string
required
priceId
string
required

Body

application/json
price
integer
Required range: 0 <= x <= 9007199254740991
isDefault
boolean
trialDays
integer
Required range: 0 <= x <= 730
trialRequiresPaymentMethod
boolean

Set to false so the price's free trial starts without a payment method. Requires trialDays on the price.

includedBalance
integer | null
Required range: -9007199254740991 <= x <= 9007199254740991
includedCredits
integer | null
Required range: -9007199254740991 <= x <= 9007199254740991
introOffer
object

Response

Success

success
any
required
data
object
required